Bug 1677581 (CVE-2019-3838) - CVE-2019-3838 ghostscript: forceput in DefineResource is still accessible (700576)
Summary: CVE-2019-3838 ghostscript: forceput in DefineResource is still accessible (70...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-3838
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1680025 1680026 1691326 1691414 1693805
Blocks: 1673302
TreeView+ depends on / blocked
 
Reported: 2019-02-15 09:53 UTC by Cedric Buissart 🐶
Modified: 2019-09-29 15:08 UTC (History)
5 users (show)

Fixed In Version: ghostscript 9.27
Doc Type: If docs needed, set a value
Doc Text:
It was found that the forceput operator could be extracted from the DefineResource method. A specially crafted PostScript file could use this flaw in order to, for example, have access to the file system outside of the constrains imposed by -dSAFER.
Clone Of:
Environment:
Last Closed: 2019-05-07 19:21:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0633 None None None 2019-03-21 16:53:40 UTC
Red Hat Product Errata RHSA-2019:0971 None None None 2019-05-07 04:18:43 UTC

Description Cedric Buissart 🐶 2019-02-15 09:53:22 UTC
The .forceput (or .forcedef depending on the ghostscript version) is still accessible via DefineResource. An attacker could use this flaw to bypass -dSAFER restriction and, for example, have access to the file system outside of the designated restricted directories.

Comment 1 Cedric Buissart 🐶 2019-02-15 09:53:23 UTC
External References:

https://bugs.ghostscript.com/show_bug.cgi?id=700576

Comment 3 Cedric Buissart 🐶 2019-02-15 10:24:00 UTC
Mitigation:

Please refer to the "Mitigation" section of CVE-2018-16509 : https://access.redhat.com/security/cve/cve-2018-16509

Comment 10 Cedric Buissart 🐶 2019-03-21 11:13:56 UTC
Acknowledgments:

Name: Cedric Buissart (Red Hat)

Comment 11 Cedric Buissart 🐶 2019-03-21 12:10:04 UTC
Created ghostscript tracking bugs for this issue:

Affects: fedora-all [bug 1691326]

Comment 13 errata-xmlrpc 2019-03-21 16:53:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0633 https://access.redhat.com/errata/RHSA-2019:0633

Comment 14 errata-xmlrpc 2019-05-07 04:18:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:0971 https://access.redhat.com/errata/RHSA-2019:0971


Note You need to log in before you can comment on or make changes to this bug.